<p>U video-materijalu na prethodnoj stranici objašnjen je način konstrukcije K-tablice kao i razlozi za takvu reprezentaciju. Ovdje ćemo ponoviti samo
   najvažnije.</p>

<ol>
<li>K-tablica je alternativni prikaz Booleove funkcije. K-tablica ima onoliko ćelija koliko redaka ima tablica istinitosti.</li>
<li>U ćelije K-tablice upisujemo 1 na mjestima minterma koje funkcija sadrži a 0 na mjestima maksterma koje funkcija sadrži.</li>
<li>Često se zbog preglednosti u K-tablicu upisuju ili nule ili jedinice ali ne oboje - ako je upisano jedno, podrazumijeva se da prazne ćelije sadrže ono drugo.</li>
</ol>

<p>Tablica istinitosti Booleove funkcije od <i>n</i> varijabli ima \(2^n\) redaka. K-tablica mora imati toliko ćelija. No kako je K-tablica dvodimenzijska struktura, broj ćelija joj je jednak \(w \times h\) gdje je <i>w</i> broj stupaca tablice a <i>h</i> broj redaka tablice. Kako je ukupan broj ćelija jednak umnošku ovih parametara, možemo pisati:
$$
  2^n = w \times h = 2^i \times 2^j
$$
gdje mora vrijediti \(i+j=n\) te \(i \geq 1\) i \(j \geq 1\). Iz ovoga slijedi da su širina i visina K-tablica uvijek potencije broja 2, što smo pokazali u video-materijalu.
</p>

<p>U nastavku su dane K-tablice za jednu, dvije, tri i četiri varijable uz najčešće načine crtanja i definiranja redoslijeda varijabli. U ćelije su upisani redni brojevi minterma (odnosno maksterma) koji se nalaze u toj ćeliji, uz pretpostavku da je varijabla A uvijek varijabla najveće težine. Na K-tablicama su također označena i područja svake od varijabli.</p>

<h3>K-tablice za jednu varijablu</h3>

<p>K-tablice za jednu varijablu možemo crtati na dva načina: kao okomiti stupac dvije ćelije ili kao vodoravni stupac dvije ćelije. Tablice su prikazane na slici u nastavku.</p>

<table class="mlTableCC">
<tr>
<td>
<img src="@#file#(kt1a.svg)" alt="K-tablica za 1 varijablu." style="padding-right: 30px;"><br>
</td>
<td>
<img src="@#file#(kt1b.svg)" alt="K-tablica za 1 varijablu." style="padding-left: 30px;"><br>
</td>
</tr>
</table>

<h3>K-tablice za dvije varijable</h3>

<p>K-tablice za dvije varijable možemo također crtati na dva načina. U oba slučaja se radi o tablici 2x2; razlika je samo u načinu definiranja područja varijabli (mijenjamo li A po retcima ili po stupcima). Tablice su prikazane na slici u nastavku.</p>

<table class="mlTableCC">
<tr>
<td>
<img src="@#file#(kt2a.svg)" alt="K-tablica za 2 varijable." style="padding-right: 30px;"><br>
</td>
<td>
<img src="@#file#(kt2b.svg)" alt="K-tablica za 2 varijable." style="padding-left: 30px;"><br>
</td>
</tr>
</table>

<h3>K-tablice za tri varijable</h3>

<p>K-tablice za tri varijable možemo crtati na ukupno 12 načina. Međutim, u praksi se koriste četiri (biramo želimo li vodoravnu ili okomitu tablicu, te mijenjamo li A po retcima ili stupcima). Tablice su prikazane na slici u nastavku.</p>

<table class="mlTableCC">
<tr>
<td>
<img src="@#file#(kt3a.svg)" alt="K-tablica za 3 varijable." style="padding-right: 30px;"><br>
</td>
<td>
<img src="@#file#(kt3c.svg)" alt="K-tablica za 3 varijable." style="padding-left: 30px;"><br>
</td>
</tr>
<tr>
<td>
<img src="@#file#(kt3b.svg)" alt="K-tablica za 3 varijable." style="padding-right: 30px;"><br>
</td>
<td>
<img src="@#file#(kt3d.svg)" alt="K-tablica za 3 varijable." style="padding-left: 30px;"><br>
</td>
</tr>
</table>

<h3>K-tablice za četiri varijable</h3>

<p>K-tablice za četiri varijable možemo crtati na 24 načina. Uvijek su to tablice dimenzija 4x4 a pitanje je samo gdje se nalazi koja varijabla. U praksi se koriste dva načina, a razlika je samo u tome mijenjamo li A po retcima ili po stupcima (redoslijed ostalih varijabli time je automatski određen). Tablice su prikazane na slici u nastavku.</p>

<table class="mlTableCC">
<tr>
<td>
<img src="@#file#(kt4a.svg)" alt="K-tablica za 4 varijable." style="padding-right: 30px;"><br>
</td>
<td>
<img src="@#file#(kt4b.svg)" alt="K-tablica za 4 varijable." style="padding-left: 30px;"><br>
</td>
</tr>
</table>

<p>Napomena: pri crtanju K-tablica često se uz tablicu ne pišu binarni uzorci - podrazumijeva se da su napisani po Grayevom kodu. Najčešće se samo napišu varijable i označe njihova područja.</p>

